xpra icon
Bug tracker and wiki

Ticket #90: pillow-errors.log

File pillow-errors.log, 7.1 KB (added by Antoine Martin, 4 years ago)

replace long quote with attachment

Line 
1C:\Program Files (x86)\Xpra>xpra_cmd.exe attach tcp:10.0.32.53:1201 --encoding=r
2gb --opengl=on
32014-09-25 14:30:06,128 xpra client version 0.14.1
42014-09-25 14:30:08,558 detected keyboard: layout=us
52014-09-25 14:30:08,569 desktop size is 2560x1440 with 1 screen(s):
62014-09-25 14:30:08,572   '1\WinSta-Default' (677x381 mm)
72014-09-25 14:30:08,574     DISPLAY1 (903x508 mm)
82014-09-25 14:30:08,730 server: Linux Fedora 20 Heisenbug, Xpra version 0.15.0 (
9r7543)
102014-09-25 14:30:08,735 Unhandled error while processing a 'server-event' packet
11 from peer using <bound method XpraClient._process_server_event of <XpraClient o
12bject at 0x3db7b70 (xpra+client+gtk3+client+XpraClient at 0x10f70d0)>>
13Traceback (most recent call last):
14  File "E:\xpra\tags\v0.14.x\src\Temp\xpra\client\client_base.py", line 583, in
15process_packet
16  File "E:\xpra\tags\v0.14.x\src\Temp\xpra\client\ui_client_base.py", line 1116,
17 in _process_server_event
18TypeError: sequence item 0: expected str instance, bytes found
192014-09-25 14:30:10,845 Attached to tcp:10.0.32.53:1201 (press Control-C to deta
20ch)
21
222014-09-25 14:30:11,283 do_paint_rgb24 error
23Traceback (most recent call last):
24  File "C:\Python34\lib\site-packages\PIL\ImageFile.py", line 454, in _save
25AttributeError: '_idat' object has no attribute 'fileno'
26
27During handling of the above exception, another exception occurred:
28
29Traceback (most recent call last):
30  File "C:\Python34\lib\site-packages\PIL\Image.py", line 426, in _getencoder
31AttributeError: 'module' object has no attribute 'zip_encoder'
32
33During handling of the above exception, another exception occurred:
34
35Traceback (most recent call last):
36  File "E:\xpra\tags\v0.14.x\src\Temp\xpra\client\window_backing_base.py", line
37283, in do_paint_rgb24
38  File "E:\xpra\tags\v0.14.x\src\Temp\xpra\client\gtk_base\cairo_backing.py", li
39ne 145, in _do_paint_rgb24
40  File "E:\xpra\tags\v0.14.x\src\Temp\xpra\client\gtk_base\cairo_backing.py", li
41ne 196, in _do_paint_rgb
42  File "C:\Python34\lib\site-packages\PIL\Image.py", line 1663, in save
43  File "C:\Python34\lib\site-packages\PIL\PngImagePlugin.py", line 619, in _save
44
45  File "C:\Python34\lib\site-packages\PIL\ImageFile.py", line 459, in _save
46  File "C:\Python34\lib\site-packages\PIL\Image.py", line 430, in _getencoder
47OSError: encoder zip not available
482014-09-25 14:30:11,302 do_paint_rgb24 error
49Traceback (most recent call last):
50  File "C:\Python34\lib\site-packages\PIL\ImageFile.py", line 454, in _save
51AttributeError: '_idat' object has no attribute 'fileno'
52
53During handling of the above exception, another exception occurred:
54
55Traceback (most recent call last):
56  File "C:\Python34\lib\site-packages\PIL\Image.py", line 426, in _getencoder
57AttributeError: 'module' object has no attribute 'zip_encoder'
58
59During handling of the above exception, another exception occurred:
60
61Traceback (most recent call last):
62  File "E:\xpra\tags\v0.14.x\src\Temp\xpra\client\window_backing_base.py", line
63283, in do_paint_rgb24
64  File "E:\xpra\tags\v0.14.x\src\Temp\xpra\client\gtk_base\cairo_backing.py", li
65ne 145, in _do_paint_rgb24
66  File "E:\xpra\tags\v0.14.x\src\Temp\xpra\client\gtk_base\cairo_backing.py", li
67ne 196, in _do_paint_rgb
68  File "C:\Python34\lib\site-packages\PIL\Image.py", line 1663, in save
69  File "C:\Python34\lib\site-packages\PIL\PngImagePlugin.py", line 619, in _save
70
71  File "C:\Python34\lib\site-packages\PIL\ImageFile.py", line 459, in _save
72  File "C:\Python34\lib\site-packages\PIL\Image.py", line 430, in _getencoder
73OSError: encoder zip not available
742014-09-25 14:30:11,352 do_paint_rgb24 error
75Traceback (most recent call last):
76  File "C:\Python34\lib\site-packages\PIL\ImageFile.py", line 454, in _save
77AttributeError: '_idat' object has no attribute 'fileno'
78
79During handling of the above exception, another exception occurred:
80
81Traceback (most recent call last):
82  File "C:\Python34\lib\site-packages\PIL\Image.py", line 426, in _getencoder
83AttributeError: 'module' object has no attribute 'zip_encoder'
84
85During handling of the above exception, another exception occurred:
86
87Traceback (most recent call last):
88  File "E:\xpra\tags\v0.14.x\src\Temp\xpra\client\window_backing_base.py", line
89283, in do_paint_rgb24
90  File "E:\xpra\tags\v0.14.x\src\Temp\xpra\client\gtk_base\cairo_backing.py", li
91ne 145, in _do_paint_rgb24
92  File "E:\xpra\tags\v0.14.x\src\Temp\xpra\client\gtk_base\cairo_backing.py", li
93ne 196, in _do_paint_rgb
94  File "C:\Python34\lib\site-packages\PIL\Image.py", line 1663, in save
95  File "C:\Python34\lib\site-packages\PIL\PngImagePlugin.py", line 619, in _save
96
97  File "C:\Python34\lib\site-packages\PIL\ImageFile.py", line 459, in _save
98  File "C:\Python34\lib\site-packages\PIL\Image.py", line 430, in _getencoder
99OSError: encoder zip not available
1002014-09-25 14:30:11,410 do_paint_rgb24 error
101Traceback (most recent call last):
102  File "C:\Python34\lib\site-packages\PIL\ImageFile.py", line 454, in _save
103AttributeError: '_idat' object has no attribute 'fileno'
104
105During handling of the above exception, another exception occurred:
106
107Traceback (most recent call last):
108  File "C:\Python34\lib\site-packages\PIL\Image.py", line 426, in _getencoder
109AttributeError: 'module' object has no attribute 'zip_encoder'
110
111During handling of the above exception, another exception occurred:
112
113Traceback (most recent call last):
114  File "E:\xpra\tags\v0.14.x\src\Temp\xpra\client\window_backing_base.py", line
115283, in do_paint_rgb24
116  File "E:\xpra\tags\v0.14.x\src\Temp\xpra\client\gtk_base\cairo_backing.py", li
117ne 145, in _do_paint_rgb24
118  File "E:\xpra\tags\v0.14.x\src\Temp\xpra\client\gtk_base\cairo_backing.py", li
119ne 196, in _do_paint_rgb
120  File "C:\Python34\lib\site-packages\PIL\Image.py", line 1663, in save
121  File "C:\Python34\lib\site-packages\PIL\PngImagePlugin.py", line 619, in _save
122
123  File "C:\Python34\lib\site-packages\PIL\ImageFile.py", line 459, in _save
124  File "C:\Python34\lib\site-packages\PIL\Image.py", line 430, in _getencoder
125OSError: encoder zip not available
1262014-09-25 14:30:12,632 using audio codec: MPEG 1 Audio, Layer 3 (MP3)
1272014-09-25 14:30:29,729 do_paint_rgb24 error
128Traceback (most recent call last):
129  File "C:\Python34\lib\site-packages\PIL\ImageFile.py", line 454, in _save
130AttributeError: '_idat' object has no attribute 'fileno'
131
132During handling of the above exception, another exception occurred:
133
134Traceback (most recent call last):
135  File "C:\Python34\lib\site-packages\PIL\Image.py", line 426, in _getencoder
136AttributeError: 'module' object has no attribute 'zip_encoder'
137
138During handling of the above exception, another exception occurred:
139
140Traceback (most recent call last):
141  File "E:\xpra\tags\v0.14.x\src\Temp\xpra\client\window_backing_base.py", line
142283, in do_paint_rgb24
143  File "E:\xpra\tags\v0.14.x\src\Temp\xpra\client\gtk_base\cairo_backing.py", li
144ne 145, in _do_paint_rgb24
145  File "E:\xpra\tags\v0.14.x\src\Temp\xpra\client\gtk_base\cairo_backing.py", li
146ne 196, in _do_paint_rgb
147  File "C:\Python34\lib\site-packages\PIL\Image.py", line 1663, in save
148  File "C:\Python34\lib\site-packages\PIL\PngImagePlugin.py", line 619, in _save
149
150  File "C:\Python34\lib\site-packages\PIL\ImageFile.py", line 459, in _save
151  File "C:\Python34\lib\site-packages\PIL\Image.py", line 430, in _getencoder
152OSError: encoder zip not available